unit Child;

interface

uses
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  {$IFDEF DFS_WIN32}
  Windows,
  {$ELSE}
  {$ENDIF}
  StdCtrls;

type
  TChildForm = class(TForm)
    Memo: TMemo;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ChildForm: TChildForm;

implementation

{$R *.DFM}

uses Main;

procedure TChildForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  if Caption <> '[untitled]' then
    MainForm.MRUFileList.AddItem(Caption);
  Action := caFree;
end;

end.
